OpenTTD GameScript API: Data Fields - Enumerations

OpenTTD GameScript API 15.0-beta3

Here is a list of all documented enums with links to the struct/union documentation for each field:

### - a -

- AboutWidgets : GSWindow
- AIConfigWidgets : GSWindow
- AirportPickerWidgets : GSWindow
- AirportToolbarWidgets : GSWindow
- AirportType : GSAirport

### - b -

- BootstrapAskForDownloadWidgets : GSWindow
- BootstrapBackgroundWidgets : GSWindow
- BootstrapErrorMessageWidgets : GSWindow
- BuildBridgeSelectionWidgets : GSWindow
- BuildDockDepotWidgets : GSWindow
- BuildHouseWidgets : GSWindow
- BuildObjectWidgets : GSWindow
- BuildRailDepotWidgets : GSWindow
- BuildRailStationWidgets : GSWindow
- BuildRailWaypointWidgets : GSWindow
- BuildRoadDepotWidgets : GSWindow
- BuildRoadStationWidgets : GSWindow
- BuildSignalWidgets : GSWindow
- BuildTreesWidgets : GSWindow
- BuildType : GSMarine, GSRail, GSRoad, GSTile
- BuildVehicleWidgets : GSWindow
- BuyCompanyWidgets : GSWindow

### - c -

- CargoAcceptState : GSIndustry
- CargoClass : GSCargo
- CargoMode : GSStationList_Cargo
- CargoSelector : GSStationList_Cargo
- CheatWidgets : GSWindow
- ClientID : GSClient
- ClientListWidgets : GSWindow
- Colours : GSCompany
- CompanyFinancesWidgets : GSWindow
- CompanyID : GSCompany
- CompanyInfrastructureWidgets : GSWindow
- CompanyWidgets : GSWindow
- CompareFunction : GSOrder
- ConsoleWidgets : GSWindow
- Corner : GSTile
- CrashReason : GSEventVehicleCrashed
- CreateScenarioWidgets : GSWindow
- CustomCurrencyWidgets : GSWindow

### - d -

- Date : GSDate
- DepotWidgets : GSWindow
- DistributionType : GSCargo
- DockToolbarWidgets : GSWindow
- DropdownMenuWidgets : GSWindow
- DynamicPlaceIndustriesWidgets : GSWindow

### - e -

- EditorTerraformToolbarWidgets : GSWindow
- EnginePreviewWidgets : GSWindow
- ErrorCategories : GSError
- ErrorMessages : GSBridge, GSError, GSMarine, GSOrder, GSRail, GSRoad, GSSign, GSStation, GSTile, GSTunnel, GSVehicle, GSWaypoint
- ErrorMessageWidgets : GSWindow
- ExpensesType : GSCompany
- ExtraViewportWidgets : GSWindow

### - f -

- FramerateWindowWidgets : GSWindow
- FrametimeGraphWindowWidgets : GSWindow

### - g -

- GameOptionsWidgets : GSWindow
- Gender : GSCompany
- GenerateLandscapeWidgets : GSWindow
- GenerationProgressWidgets : GSWindow
- GoalListWidgets : GSWindow
- GoalQuestionWidgets : GSWindow
- GoalType : GSGoal
- GraphLegendWidgets : GSWindow
- GraphWidgets : GSWindow
- GroupListWidgets : GSWindow
- GSConfigFlags : GSInfo
- GSConfigWidgets : GSWindow
- GSDebugWidgets : GSWindow
- GSEventType : GSEvent
- GSLeagueWidgets : GSWindow
- GSListWidgets : GSWindow
- GSOrderFlags : GSOrder
- GSSettingsWidgets : GSWindow

### - h -

- HelpWindowWidgets : GSWindow
- HighscoreWidgets : GSWindow

### - i -

- IndustryCargoesWidgets : GSWindow
- IndustryControlFlags : GSIndustry
- IndustryDirectoryWidgets : GSWindow
- IndustryViewWidgets : GSWindow
- Infrastructure : GSInfrastructure

### - j -

- JoinStationWidgets : GSWindow

### - l -

- LandInfoWidgets : GSWindow
- LandscapeType : GSGame
- LinkGraphLegendWidgets : GSWindow
- LinkType : GSLeagueTable
- LiveryScheme : GSCompany

### - m -

- MainWidgets : GSWindow
- MessageHistoryWidgets : GSWindow
- MusicTrackSelectionWidgets : GSWindow
- MusicWidgets : GSWindow

### - n -

- NetworkAskRelayWidgets : GSWindow
- NetworkAskSurveyWidgets : GSWindow
- NetWorkChatWidgets : GSWindow
- NetworkContentDownloadStatusWidgets : GSWindow
- NetworkContentListWidgets : GSWindow
- NetworkGameWidgets : GSWindow
- NetworkJoinStatusWidgets : GSWindow
- NetworkStartServerWidgets : GSWindow
- NewGRFInspectWidgets : GSWindow
- NewGRFParametersWidgets : GSWindow
- NewGRFStateWidgets : GSWindow
- NewsReferenceType : GSNews
- NewsType : GSNews
- NewsWidgets : GSWindow
- NumberType : GSWindow

### - o -

- OnScreenKeyboardWidgets : GSWindow
- OrderCondition : GSOrder
- OrderPosition : GSOrder
- OrderWidgets : GSWindow

### - p -

- PerformanceLeagueWidgets : GSWindow
- PerformanceRatingDetailsWidgets : GSWindow
- PickerClassWindowWidgets : GSWindow
- PlaneType : GSAirport

### - q -

- Quarter : GSCompany
- QueryEditSignWidgets : GSWindow
- QueryStringWidgets : GSWindow
- QueryWidgets : GSWindow
- QuestionButton : GSGoal
- QuestionType : GSGoal

### - r -

- RailToolbarWidgets : GSWindow
- RailTrack : GSRail
- RailType : GSRail
- ReplaceVehicleWidgets : GSWindow
- RoadLayout : GSTown
- RoadToolbarWidgets : GSWindow
- RoadTramTypes : GSRoad
- RoadType : GSRoad
- RoadVehicleType : GSRoad

### - s -

- SaveLoadWidgets : GSWindow
- SavePresetWidgets : GSWindow
- ScanProgressWidgets : GSWindow
- ScreenshotWindowWidgets : GSWindow
- SelectCompanyLiveryWidgets : GSWindow
- SelectCompanyManagerFaceWidgets : GSWindow
- SelectGameIntroWidgets : GSWindow
- SetDateWidgets : GSWindow
- SignalType : GSRail
- SignListWidgets : GSWindow
- Slope : GSTile
- SmallMapWidgets : GSWindow
- SorterType : GSList
- SpecialCargoType : GSCargo
- SpecialIndustryType : GSIndustryType
- SpriteAlignerWidgets : GSWindow
- StationListWidgets : GSWindow
- StationType : GSStation
- StationViewWidgets : GSWindow
- StatusbarWidgets : GSWindow
- StopLocation : GSOrder
- StoryBookWidgets : GSWindow
- StoryPageButtonColour : GSStoryPage
- StoryPageButtonCursor : GSStoryPage
- StoryPageButtonFlags : GSStoryPage
- StoryPageElementType : GSStoryPage
- SubsidyListWidgets : GSWindow
- SubsidyParticipantType : GSSubsidy

### - t -

- TerraformToolbarWidgets : GSWindow
- TerrainType : GSTile
- TextColour : GSWindow
- TextfileWidgets : GSWindow
- ToolbarEditorWidgets : GSWindow
- ToolbarNormalWidgets : GSWindow
- ToolTipsWidgets : GSWindow
- TownAction : GSTown
- TownAuthorityWidgets : GSWindow
- TownDirectoryWidgets : GSWindow
- TownEffect : GSCargo
- TownFoundingWidgets : GSWindow
- TownGrowth : GSTown
- TownRating : GSTown
- TownSize : GSTown
- TownViewWidgets : GSWindow
- TransparencyToolbarWidgets : GSWindow
- TransportType : GSTile

### - v -

- VehicleDetailsWidgets : GSWindow
- VehicleListWidgets : GSWindow
- VehicleRefitWidgets : GSWindow
- VehicleState : GSVehicle
- VehicleTimetableWidgets : GSWindow
- VehicleType : GSVehicle
- VehicleViewWidgets : GSWindow

### - w -

- WaypointType : GSWaypoint
- WaypointWidgets : GSWindow
- WidgetType : GSWindow
- WindowClass : GSWindow
- WindowNumberEnum : GSWindow